##### 7.5.20.0. ncRelations

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  ncRelations(r); r a ring

Return:
  list L with two elements, both elements are of type matrix:
  L[1] = matrix of coefficients C,
  L[2] = matrix of polynomials D

Purpose:
  recover the noncommutative relations via matrices C and D from a noncommutative ring

Example:

    LIB "nctools.lib";
    ring r = 0,(x,y,z),dp;
    matrix C[3][3]=0,1,2,0,0,-1,0,0,0;
    print(C);
    ==> 0,1,2,
    ==> 0,0,-1,
    ==> 0,0,0
    matrix D[3][3]=0,1,2y,0,0,-2x+y+1;
    print(D);
    ==> 0,1,2y,
    ==> 0,0,-2x+y+1,
    ==> 0,0,0
    def S=nc_algebra(C,D);setring S; S;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    yx=xy+1
    ==> //    zx=2xz+2y
    ==> //    zy=-yz-2x+y+1
    def l=ncRelations(S);
    print (l[1]);
    ==> 0,1,2,
    ==> 0,0,-1,
    ==> 0,0,0
    print (l[2]);
    ==> 0,1,2y,
    ==> 0,0,-2x+y+1,
    ==> 0,0,0

See also: G-algebras; ringlist.

User manual for Singular version 4.4.1, 2025, generated by texi2html.